Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.wsdl
Class TPart

    java.lang.Object
      org.apache.cxf.wsdl.TDocumented
          org.apache.cxf.wsdl.TExtensibleAttributesDocumented
              org.apache.cxf.wsdl.TPart

    public class TPart

extends TExtensibleAttributesDocumented

Java class for tPart complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="tPart">
       <complexContent>
         <extension base="{http://schemas.xmlsoap.org/wsdl/}tExtensibleAttributesDocumented">
           <attribute name="element" type="{http://www.w3.org/2001/XMLSchema}QName" />
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}NCName" />
           <attribute name="type" type="{http://www.w3.org/2001/XMLSchema}QName" />
         </extension>
       </complexContent>
     </complexType>

Field Summary
`protected javax.xml.namespace.QName` | `element`
`protected java.lang.String` | `name`
`protected javax.xml.namespace.QName` | `type`

Fields inherited from class org.apache.cxf.wsdl.TDocumented
`documentation`

Constructor Summary
`TPart()`

Method Summary
`javax.xml.namespace.QName` | `getElement()` Gets the value of the element property.
`java.lang.String` | `getName()` Gets the value of the name property.
`javax.xml.namespace.QName` | `getType()` Gets the value of the type property.
`boolean` | `isSetElement()`
`boolean` | `isSetName()`
`boolean` | `isSetType()`
`void` | `setElement(javax.xml.namespace.QName value)` Sets the value of the element property.
`void` | `setName(java.lang.String value)` Sets the value of the name property.
`void` | `setType(javax.xml.namespace.QName value)` Sets the value of the type property.

Methods inherited from class org.apache.cxf.wsdl.TDocumented
`getDocumentation, isSetDocumentation, setDocumentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### element

    protected javax.xml.namespace.QName element

### name

    protected java.lang.String name

### type

    protected javax.xml.namespace.QName type

Constructor Detail

### TPart

    public TPart()

Method Detail

### getElement

    public javax.xml.namespace.QName getElement()

  Gets the value of the element property.

  Returns:
    possible object is `QName`

### setElement

    public void setElement(javax.xml.namespace.QName value)

  Sets the value of the element property.

  Parameters:
    `value` - allowed object is `QName`

### isSetElement

    public boolean isSetElement()

### getName

    public java.lang.String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(java.lang.String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### isSetName

    public boolean isSetName()

### getType

    public javax.xml.namespace.QName getType()

  Gets the value of the type property.

  Returns:
    possible object is `QName`

### setType

    public void setType(javax.xml.namespace.QName value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `QName`

### isSetType

    public boolean isSetType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.